// file: ChatController.js
import {PostSubmitter} from '../Submitters/PostSubmitter.js'
import {AbstractPostFormView} from '../Views/AbstractPostFormView.js'
import {ChatPostFormView} from '../Views/ChatPostFormView.js'
import {ChatPageView} from '../Views/ChatPageView.js'
import * as repo from "../repository";
import {TitleView} from "../Views/TitleView";

export function loadChat() {
    TitleView.set("pfpmd chat");
    document.body.id = "chat";
    document.getElementById("chat-menu-item").classList.add("active");
    document.getElementById("chat-body").content.appendAfter(document.getElementById("menu"));

    const recentPostsPromise = repo.getRecentPosts();

    new AbstractPostFormView(publishParts);
    new ChatPostFormView();

    ChatPageView.start(recentPostsPromise);
}

function publishParts(parts, newPost) {
    PostSubmitter.publishParts(parts, newPost).then(threadId => {
        // openThreadBottom(boardName, threadId);
    });
}
