// file: LogsController.js
import {LogsPageView} from '../Views/LogsPageView.js'
import * as locationService from "../services/location_service";
import * as repo from "../repository";
import {SuccessResponse} from "../models";
import {TitleView} from "../Views/TitleView";

export function loadLogs() {
    TitleView.set("pfpmd chat logs");
    document.body.id = "logsb";
    document.getElementById("logs-menu-item").classList.add("active");
    document.getElementById("logs-body").content.appendAfter(document.getElementById("menu"));

    const pageNumber = locationService.getPage() || 0;

    const logsPagePromise = repo.getLogsPage(pageNumber);
    // const logsPagePromise = Promise.all([
    //     repo.getLogsPage(pageNumber),
    //     repo.getLogsPage(pageNumber + 1),
    // ]).then(([response1, response2]) => {
    //
    //     const posts = response1.data.concat(response2.data);
    //     const skipped = response1.skipped + response2.skipped;
    //     const total = response2.total; // doesn't matter which, they're the same
    //
    //     return new SuccessResponse(posts, skipped, total);
    // });

    LogsPageView.load(logsPagePromise, pageNumber);
}

