// file: PostSubmitter.js
import {NewPost} from "../models";
import {getOrCreateClientId} from "../services/client_service";
import * as repo from "../repository";
import {promiseTimeout} from "../utils";
// done
const PostSubmitter = (() => {
    const that = {};

    /**
     * @param {Object} params - keys: boardName, subject, threadId,
     *                                onPartIsSent, timeout, onTimeout, onError
     */
    that.publishParts = (parts, params) => {
        return getOrCreateClientId().then(clientId => {
            const newPost = new NewPost(
                clientId,
                parts[0],
                params.threadId,
                params.subject,
                params.boardName,
            );

            return promiseTimeout(
                repo.publish(newPost),
                params.timeout,
                params.onTimeout,
            ).then(post => {
                params.onPartIsSent(parts.length);

                return post.thread.threadId;
            }).catch(e => {
                console.log("Error submitting message");
                params.onError(e);
            });
        })
    };

    return that;
})();

export {PostSubmitter}
