// file: AbstractThreadView.js
import {PostsSeparatorView} from './PostsSeparatorView.js'
import {ChanPostView} from './ChanPostView.js'

const AbstractThreadView = (() => {
    const that = {};

    that.appendPost = (element, post, previousPost, replyFormView, isOp) => {
        const postsHaveSameColors = (
                post && previousPost && post.bg === previousPost.bg && post.fg === previousPost.fg
            );
        if (postsHaveSameColors) PostsSeparatorView.appendTo(element);

        const postView = new ChanPostView(post, postsHaveSameColors, false, isOp);
        postView.appendTo(element);

        function onClickPostId() {
            replyFormView.insertPostId(post.postId);
        }

        postView.setOnClickPostIdEventHandler(onClickPostId);
    };

    return that;
})();

export {AbstractThreadView}
