// file: BoardInfoView.js
import { BoardInfoBaseView } from '../BaseViews/BoardInfoBaseView.js'
import * as urlService from "../services/url_service";
// done
const BoardInfoView = (() => {
    const that = {};
    const base = BoardInfoBaseView;

    that.set = (board, isThreadPage) => {
        base.initialize();
        if (!board.name) {
            base.boardDescriptionElement.style.display = "none";
            return;
        }

        const boardInfoText = `/${board.name}/ ${board.description ? "- " + board.description : ""}`;
        base.h1.appendText(boardInfoText);

        if (isThreadPage) {
            base.addBoardLink();
            base.boardLink.href = urlService.getBoardUrl(board.name);
        } else {
            base.addTextOnly();
        }

        base.boardNameInputWrapper.style.display = "none";
        base.boardNameInput.value = board.name;
    };
    return that;
})();

export { BoardInfoView }
