// file: ChanPageView.js
import {ThreadView} from './ThreadView.js'
import {WarpView} from './WarpView.js'
import {SettingsView} from './SettingsView.js'
import {HelpView} from './HelpView.js'
import * as settings from "../services/settings_service";
import {highlightCode} from "../extra_services/hljs_service";
import {ExportV} from "./export_v";
import {ImportV} from "./import_v";

const ChanPageView = (() => {
    const that = {};

    that.loadThread = (threadPagePromise) => {
        document.getElementById("newThreadLink").style.display = "none";

        return threadPagePromise.then(response => {
            const threadView = new ThreadView(response);

            initMenu();
        });
    };

    that.loadWarp = (warpPagePromise, isBoardDefined) => {
        document.getElementById("thread").style.display = "none";
        // if (!isBoardDefined) {
        //     document.getElementById("chanLink").style.display = "none";
        // }

        warpPagePromise.then(response => {
            const warpView = new WarpView(response);

            initMenu();
        });
    };

    function initMenu() {
        if (settings.doHighlightCode()) {
            highlightCode(document.body);
        }

        new SettingsView().setFunctionToCallAfterSave(() => location.reload());
        new HelpView();
        new ExportV();
        new ImportV();
    }

    return that;
})();

export {ChanPageView}
