// file: ChanTitleView.js
import { TitleView } from './TitleView.js'
import {toShortcutUuid} from "../services/uuid_service";

const ChanTitleView = (function () {
    const that = {};

    that.set = (boardName, threadId, subject, pageNumber) => {
        const pageNumberText = pageNumber > 0 ? `pfpmd - page ${pageNumber}` : "";
        if (!boardName) {
            TitleView.add(pageNumberText);
            return;
        }

        TitleView.set(
            `/${boardName}/${threadId ? toShortcutUuid(threadId) : ""}${subject ? ` \`\`${subject}''` : ""}${pageNumberText}`
        );
    };
    return that;
})();

export { ChanTitleView }
