// file: ChatPostView.js
import {ChatPostBaseView} from '../BaseViews/ChatPostBaseView.js'
import {PostBodyView} from './PostBodyView.js'
import {PostInfoView} from './PostInfoView.js'
import {PostReferenceView} from './PostReferenceView.js'
import {config} from "../config";
import {formatDate} from "../utils";
import {toShortcutUuid} from "../services/uuid_service";
// done
const ChatPostView = function (post, base) {
    const that = this;
    base = base || new ChatPostBaseView();

    base.postDivE.className = "msg";
    base.postLeftE.classList.add('post-left');
    base.postbodyDivE.classList.add('post-body');

    const bodyE = document.createElement('div');
    bodyE.innerHTML = PostBodyView.getFormattedText(post.text);
    base.postbodyDivE.appendChild(bodyE);

    const boardName = post.thread.board.name;
    if (boardName !== config.chat.boardName) {
        const postInfoView = new PostInfoView(
            base.postInfoBaseView,
            boardName,
            post.thread.threadId,
        );
    }

    base.postIdSpanE.className = "id";
    base.postIdSpanE.title = formatDate(post.postDate);
    base.postIdSpanE.style.color = post.fg.toHSL();
    base.postIdSpanE.style.backgroundColor = post.bg.toHSL();
    base.postIdSpanE.appendText(toShortcutUuid(post.postId));
    base.postIdSpanE.setAttribute("data-post-id", post.postId);

    base.nicknameE.appendText(post.user.nickname);

    that.getPost = () => post;
    that.appendTo = base.appendTo;
    that.insertBefore = base.insertBefore;

    that.setOnClickPostIdEventHandler = (eventHandler) => {
        base.postIdSpanE.onclick = eventHandler;
    };

    const referenceSpans = base.postbodyDivE.getElementsByClassName("msgref");
    const postReferences = referenceSpans.forEach(referenceSpan => {
        const postReferenceView = new PostReferenceView();
        postReferenceView.initialize(referenceSpan);
        postReferenceView.setMouseEvents();
    });
};

export {ChatPostView}