// file: HelpView.js
import {ShadeView} from './ShadeView.js'
import {isEscape} from "../services/shortcut_service";

const HelpView = () => {
    const modalsContainerDiv = document.getElementById("modals-container");
    const helpDiv = document.getElementById("help");
    const helpContentE = document.getElementById('help_content');
    const helpButton = document.getElementById("helpButton");
    const closeButton = document.getElementById("close");

    function show() {
        ShadeView.addShade();
        helpDiv.show();
        modalsContainerDiv.show();
        return false;
    }

    function hide() {
        ShadeView.removeShade();
        helpDiv.hide();
        modalsContainerDiv.hide();
        return false;
    }

    helpButton.onclick = show;
    closeButton.onclick = hide;

    window.addEventListener("keydown", (event) => {
        if (isEscape(event) && !helpDiv.classList.contains("hidden")) {
            hide();
        }
    }, true);

    // const badgeE = document.createElement('span');
    // badgeE.classList.add('badge');
    // badgeE.appendText('!');
    // helpButton.appendChild(badgeE);
};

export {HelpView}
