// file: LinkView.js
import {ThumbnailView} from './ThumbnailView.js'
import * as settings from "../services/settings_service";
import {tryDecodeURI} from "../utils";
import {EmbedView} from "./EmbedView";

const LinkView = (function () {
    const that = {};

    that.formatLink = function (url, name) {
        // fix url: replace &amp; back to &
        url = url.replace("&amp;", "&");

        const aE = document.createElement("a");
        aE.className = 'extlink';
        aE.target = '_blank';
        aE.href = url;
        aE.referrerPolicy = "no-referrer";
        aE.rel = "noreferrer";
        aE.textContent = name ? name : tryDecodeURI(url);

        function addThumb(thumbE, className) {
            aE.textContent = "";
            aE.className += " " + className;
            aE.appendChild(thumbE);
        }

        if (settings.doEmbedBitchute()) {
            let thumbE = EmbedView.getBitchuteEmbed(url);
            if (thumbE) {
                addThumb(thumbE, "bitchute_link");
                aE.appendChild(document.createElement("br"));
                aE.appendText(tryDecodeURI(url));
                return aE.outerHTML;
            }
        }

        if (!settings.doShowImgs()) {
            return aE.outerHTML;
        }

        let thumbE = ThumbnailView.getYoutubeThumbnail(url);
        if (thumbE) {
            addThumb(thumbE, "youtube_link");
            return aE.outerHTML;
        }
        thumbE = ThumbnailView.getImgurThumbnail(url);
        if (thumbE) {
            addThumb(thumbE, "imgur_link");

            return aE.outerHTML;
        }
        thumbE = ThumbnailView.getTwitterThumbnail(url);
        if (thumbE) {
            addThumb(thumbE, "twitter_link");
            return aE.outerHTML;
        }
        thumbE = ThumbnailView.getPloudfrThumbnailV(url);
        if (thumbE) {
            addThumb(thumbE, "ploudfr_link");
            return aE.outerHTML;
        }
        thumbE = ThumbnailView.getLibreVideoThumbnailV(url);
        if (thumbE) {
            addThumb(thumbE, "librevideo_link");
            return aE.outerHTML;
        }
        thumbE = ThumbnailView.getPeertubeSocialThumbnailV(url);
        if (thumbE) {
            addThumb(thumbE, "peertubesocial_link");
            return aE.outerHTML;
        }
        return aE.outerHTML;
    };
    return that;
}());

export {LinkView}
