// file: LogsFrameView.js
import {ChatFrameView} from './ChatFrameView.js'
import {LogsPostView} from './LogsPostView.js'
import * as settings from "../services/settings_service";
import {highlightCode} from "../extra_services/hljs_service";
// done
const LogsFrameView = (initialPosts) => {

    const logsFrameDiv = document.getElementById("chatframe");

    function loadLogsFrame(posts) {
        appendPosts(posts);

        if (settings.doHighlightCode()) {
            highlightCode(logsFrameDiv);
        }
    }

    function appendPosts(posts) {
        ChatFrameView.appendPosts(posts, null, appendPost, [], showImages);
    }

    function appendPost(post, nextPost) {
        appendDaysSeparatorIfNeeded(post, nextPost);

        const postView = new LogsPostView(post);
        postView.appendTo(logsFrameDiv);

        return postView;
    }

    function showImages() {
        ChatFrameView.showImages(logsFrameDiv, x => x);
    }

    function appendDaysSeparatorIfNeeded(previousPost, post) {
        ChatFrameView.appendDaysSeparatorIfNeeded(
            previousPost, post, logsFrameDiv
        );
    }

    loadLogsFrame(initialPosts);
};

export {LogsFrameView}
