// file: LogsPageView.js
import {LogsFrameView} from './LogsFrameView.js'
import {NavigationBarView} from './NavigationBarView.js'
import {SettingsView} from './SettingsView.js'
import {HelpView} from './HelpView.js'
import * as urlService from "../services/url_service";
import {config} from "../config";
import {ExportV} from "./export_v";
import {ImportV} from "./import_v";

const LogsPageView = (() => {
    const that = {};

    that.load = (logsPagePromise, pageNumber) => {
        logsPagePromise.then(logsPageResponse => {
            const posts = logsPageResponse.data;

            const logsFrameView = new LogsFrameView(posts);

            function getUrlForPage(page) {
                return urlService.getLogsUrl(page);
            }

            const navigationBarView = new NavigationBarView(
                pageNumber,
                logsPageResponse.total,
                config.pageSize.general,
                getUrlForPage,
            );

            new SettingsView().setFunctionToCallAfterSave(() => location.reload());
            new HelpView();
            new ExportV();
            new ImportV();
        });
    };

    return that;
})();

export {LogsPageView}
