// file: ThreadInfoView.js
import { ThreadInfoBaseView } from '../BaseViews/ThreadInfoBaseView.js'
import * as urlService from "../services/url_service";
import {toShortcutUuid} from "../services/uuid_service";
// done
const ThreadInfoView = function (thread, doAddBoardPart) {
    const that = this;

    that.getThreadHrefP0 = () => {
        return urlService.getThreadUrl(thread.board.name, thread.threadId, 0);
    };

    const base = new ThreadInfoBaseView();

    base.threadInfoDiv.className = "thread-info";

    if (doAddBoardPart) {
        base.addBoardPart();
        base.boardSpan.appendText("Board: ");

        base.boardLink.className = "board-id";
        base.boardLink.href = urlService.getBoardUrl(thread.board.name);

        base.boardNameSpan.appendText(` /${thread.board.name}/`);
    }

    base.threadSpan.appendText(` ${doAddBoardPart ? "t" : "T"}hread: `);
    base.threadLink.className = "thread-id";
    base.threadLink.href = urlService.getThreadUrl(thread.board.name, thread.threadId);

    base.threadNameSpan.appendText(`${toShortcutUuid(thread.threadId)} \`\`${thread.subject}''`);

    that.appendTo = base.appendTo;
};

export { ThreadInfoView }
