// file: WarpView.js
import {BoardInfoView} from './BoardInfoView.js'
import {ShellThreadView} from './ShellThreadView.js'
import {NavigationBarView} from './NavigationBarView.js'
import {ChanTitleView} from './ChanTitleView.js'
import {BlindView} from './BlindView.js'
import * as urlService from "../services/url_service";
import {getPageNumber} from "../services/page_number_service";
import {config} from "../config";
// done
const WarpView = (warpPageResponse) => {
    const warpPage = warpPageResponse.data;
    const board = warpPage.board || {};

    const isBoardDefined = warpPage.board;
    BoardInfoView.set(board, false);

    const warpContainer = document.getElementById("shell-threads");
    warpPage.shellThreads.forEach(shellThread => {
        shellThread.thread.board = shellThread.thread.board || board;

        const shellThreadView = new ShellThreadView(shellThread, !isBoardDefined);

        shellThreadView.appendTo(warpContainer);
    });

    function getUrlForPage(page) {
        return urlService.getWarpUrl(board.name, page);
    }

    const pageNumber = getPageNumber(warpPageResponse.skipped, config.pageSize.warp);
    const navigationBarView = new NavigationBarView(
        pageNumber,
        warpPageResponse.total,
        config.pageSize.warp,
        getUrlForPage,
    );

    ChanTitleView.set(board.name, null, null, pageNumber);
    BlindView.hide();
};

export {WarpView}
