// file: export_v.js
import {config} from "../config";
import * as lsService from "../services/storage/local_storage_service";

export class ExportV {
    constructor() {
        const btnE = $("#exportButton");

        btnE.addEventListener('click', e => exportUiState(), false);
    }
}

function exportUiState() {
    const linkE = document.createElement("a");
    linkE.hide();

    const uiState = {
        ui: "ui2",
        version: config.version,
        localStorage: {},
    };

    Object.keys(localStorage).map(key => {
        if (key === key.toLowerCase()) {
            return;
        }
        uiState.localStorage[key] = lsService.getItem(key);
    });

    const blob = new Blob([JSON.stringify(uiState, null, 2)], {type: 'application/json'});

    const url = URL.createObjectURL(blob);
    linkE.href = url;
    linkE.download = "pfpmd_ui2_settings.json";

    document.body.appendChild(linkE);
    linkE.click();
    linkE.remove();
    URL.revokeObjectURL(url);
}