// file: notification_v.js
import {config} from "../../config";

class NotificationV {
    constructor(notificationType, content, autoHideAfter) {
        if (!(notificationType in config.notification.type)) {
            throw new Error(`Unsupported notification type: ${notificationType}`);
        }

        const notificationE = document.createElement('div');

        this.element = notificationE;
        notificationE.notificationV = this;

        notificationE.classList.add('notification');
        notificationE.classList.add(`notification_${notificationType}`);

        const notificationContentE = document.createElement('div');
        notificationContentE.classList.add('notification_content');
        notificationContentE.appendAny(content);

        notificationE.appendChild(notificationContentE);

        const closeBtnE = document.createElement('button');
        closeBtnE.classList.add('close_btn');
        // closeBtnE.classList.add('icon-close');
        closeBtnE.appendText('x');

        notificationE.appendChild(closeBtnE);

        closeBtnE.addEventListener('click', e => this._close(), false);

        setTimeout(() => this._close(), autoHideAfter);
    }

    _close() {
        this.element.remove();
    }
}

export function showNotification(notificationType, content,
                                 autoHideAfter = config.notification.autoHideAfter
) {
    const notificationContainerE = $("#notification_container");

    const notificationV = new NotificationV(notificationType, content, autoHideAfter);
    notificationContainerE.appendChild(notificationV.element);
}