// file: config.js
// we store here parameters that cannot be changed by a user
export const config = {
    version: "0.3.1",
    maxPostLength: 9000,
    maxSubjectLength: 128,
    maxBoardNameLength: 3,
    boardNamePattern: '[a-zA-Z]{1,3}',
    basePath: '/ui2',
    showIgnoreCyrillicShitFilter: false,
    pageSize: {
        general: 100,
        warp: 20
    },
    formatting: {
        maxNestingLevel: 10,
    },
    katex: {
        cssPath: "/static/katex/katex.min.css",
        scriptPath: "/static/katex/katex.min.js",
    },
    hljs: {
        cssPath: "/static/hljs/styles/vs.css",
        scriptPath: "/static/hljs/highlight.pack.js",
    },
    pagination: {
        siblingCount: 3,
    },
    sse: {
        type: {
            post: "post",
            connected: "connected",
            boardDescription: "board-description",
        },
        continueSubscriptionTimeout: 30000, // ms
        reconnectTimeout: 1000, // ms
        broadcastChannel: 'sse',
    },
    notification: {
        type: {
            success: 'success',
            error: 'error',
            warning: 'warning',
            info: 'info',
        },
        autoHideAfter: 2000, // ms
    },
    chat: {
        boardName: 'cht',
        threadId: 'a237b4ad-bdbd-4fa2-9abf-1f646fdcf40a',
        keepScrollBottomThreshold: 50, // px
    },
    defaultSettings: {
        showOnlyChatPostsInChat: false,
        enableEndlessScroll: true,
        ignoreCyrillicShit: false,
        isKatexEnabled: false,
        highlightCode: false,
        showImages: true,
        embedBitchute: false,
        maxImageHeight: 200,
        maxImageContentLength: 2000000,
        maxEntropy: 6,
        regexpFilters: '://imagetwist.com\n://cuts-url.com\n',
        colorsFilters: '',
    },
    tabHeartbeatTimeout: 500, // ms
    submissionTimeout: 20000, // ms
};