// file: katex_service.js
import {config} from "../config";
import {ServiceLoader} from "./service_loader";

let serviceLoader = new ServiceLoader(config.katex.cssPath, config.katex.scriptPath);

export function enableKatex(isEnabled) {
    return serviceLoader.enableService(isEnabled);
}

export function renderKatex(formula, element) {
    const plain = `\$${formula}\$`;

    if (!serviceLoader.isServiceEnabled) {
        element.appendText(plain);
        return;
    }

    try {
        katex.render(formula, element, { throwOnError: false });
    } catch (e) {
        // console.warn('renderKatex exception:', e);
        element.appendText(plain);
    }
}
