// file: main.js
import {initLocalStorageService} from "./services/storage/local_storage_service";
import {enableKatex} from "./extra_services/katex_service";
import * as settings from "./services/settings_service";
import * as locationService from "./services/location_service";
import {loadChat} from "./Controllers/ChatController";
import {loadChan} from "./Controllers/ChanController";
import {loadLogs} from "./Controllers/LogsController";
import {enableHljs} from "./extra_services/hljs_service";

document.addEventListener("DOMContentLoaded", () => {
    // todo: call just main when tor browser bug is fixed
    initLocalStorageService(main);
});

function main() {
    //lsService.addStorageEventListener(); // todo: uncomment when tor browser bug is fixed

    Promise.all([
        enableKatex(settings.doEnableKatex()),
        enableHljs(settings.doHighlightCode()),
    ]).then(() => {
        let path = locationService.getPathName();
        if (!path.endsWith('/')) path += '/';

        if (path === '/') {
            loadChat();
        } else if (path === '/logs/') {
            loadLogs();
        } else {
            loadChan();
        }
    });
}