// file: access_token_service.js
import {deleteCookie, getCookie, setCookie} from "./cookie_service";
import {parseClaims} from "../parsers";

const cookieKey = "accessToken";
const path = "/";

export function setAccessToken(accessToken) {
    setCookie(cookieKey, accessToken, null, path);
}

export function deleteAccessToken() {
    deleteCookie(cookieKey, path);
}

export function getAccessToken() {
    return getCookie(cookieKey);
}

export function getClaims() {
    return parseClaims(getAccessToken());
}