// file: client_service.js
import * as lsService from "./storage/local_storage_service";

const clientIdLsKey = 'betaClientId';

export function getOrCreateClientId() {
    let clientId = lsService.getItem(clientIdLsKey, null);

    if (clientId) return Promise.resolve(clientId);

    clientId = newClientId();
    lsService.setItem(clientIdLsKey, clientId);

    return Promise.resolve(clientId);
}

export function updateClientId() {
    return setClientId(newClientId());
}

export function setClientId(clientId) {
    lsService.setItem(clientIdLsKey, clientId);

    return Promise.resolve(clientId);
}

function newClientId() {
    return Math.random().toString(36).substring(2);
}