// file: cookie_service.js
export function setCookie(name, value, maxAge, path = "/") {
    document.cookie = [
        `${name}=${value}`,
        `path=${path}`,
        (maxAge ? `max-age=${maxAge}` : ``),
        `samesite=strict`,
    ].join("; ")
}

export function getCookie(name) {
    return document.cookie.split(";").map(kv => kv.trim().split('='))
        .filter(kv => kv[0] === name).map(kv => kv[1])[0];
}

export function deleteCookie(name, path = "/") {
    setCookie(name, '', '-1', path);
}