// file: storage_service.js
export function getItem(storage, key, defaultValue) {
    return parseValue(storage.getItem(key), defaultValue);
}

export function getItems(storage, keyRe) {
    return Object.keys(storage).filter(key => keyRe.test(key)).map(key => {
        return {key, value: getItem(storage, key)};
    });
}

export function setItem(storage, key, value) {
    storage.setItem(key, serializeValue(value));
}

export function toggle(storage, key) {
    setItem(storage, key, !getItem(storage, key, false));
}

export function removeItem(storage, key) {
    storage.removeItem(key);
}


export function parseValue(valueStr, defaultValue) {
    return valueStr ? JSON.parse(valueStr) : defaultValue;
}

export function serializeValue(value) {
    return JSON.stringify(value);
}