// file: uuid_service.js
export function toSimpleUuid(x) {
    return x.replace(/-/g, "").toLowerCase();
}

export function toShortcutUuid(uuid) {
    return uuid.substring(0, 5).toLowerCase();
}

export function toHyphenatedUuid(uuid) {
    uuid = toSimpleUuid(uuid);
    return [
        uuid.substring(0, 8),
        uuid.substring(8, 12),
        uuid.substring(12, 16),
        uuid.substring(16, 20),
        uuid.substring(20, 32),
    ].join("-");
}

export const hyphenatedUuidPattern = '[\\da-f]{8}-[\\da-f]{4}-4[\\da-f]{3}-[89ab][\\da-f]{3}-[\\da-f]{12}';
export const simpleUuidPattern = '[\\da-f]{8}[\\da-f]{4}4[\\da-f]{3}[89ab][\\da-f]{3}[\\da-f]{12}';
export const uuidPattern = `(${simpleUuidPattern}|${hyphenatedUuidPattern})`;
